Loading...
Searching...
No Matches
csr_concat_value< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::csr_concat_value< T, M >

Definition at line 51 of file csr_concat.h.

## Public Types

enum | variant_type { empty , scalar , vector , vector_transpose , vector_vec , vector_vec_transpose , matrix }
typedef csr< T, M >::size_type | size_type
typedef std::pair< size_type, size_type > | sizes_type
typedef std::pair< sizes_type, sizes_type > | sizes_pair_type

## Public Member Functions

| csr_concat_value (const sizes_pair_type &x)
template<class U, class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>
| csr_concat_value (const U &x)
| csr_concat_value (const vec< T, M > &x)
| csr_concat_value (const vec_trans< T, M > &vt)
| csr_concat_value (const std::vector< vec< T, M > > &x)
| csr_concat_value (const vector_vec_trans< T, M > &vt)
| csr_concat_value (const csr< T, M > &x)

## Public Attributes

sizes_pair_type | e
T | s
vec< T, M > | v
std::vector< vec< T, M > > | vv
csr< T, M > | m
variant_type | variant

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Member Typedef Documentation

## size_type

template<class T, class M>

typedef csr<T,M>::size_type size_type

Definition at line 56 of file csr_concat.h.

## sizes_type

template<class T, class M>

typedef std::pair<size_type,size_type> sizes_type

Definition at line 57 of file csr_concat.h.

## sizes_pair_type

template<class T, class M>

typedef std::pair<sizes_type,sizes_type> sizes_pair_type

Definition at line 58 of file csr_concat.h.

## Member Enumeration Documentation

## variant_type

template<class T, class M>

enum variant_type

Enumerator
empty |
scalar |
vector |
vector_transpose |
vector_vec |
vector_vec_transpose |
matrix |

Definition at line 63 of file csr_concat.h.

## Constructor & Destructor Documentation

## csr_concat_value() [1/7]

template<class T, class M>

csr_concat_value | ( | const sizes_pair_type & | x | ) |

Definition at line 67 of file csr_concat.h.

## csr_concat_value() [2/7]

template<class T, class M>
template<class U, class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>

csr_concat_value | ( | const U & | x | ) |

Definition at line 75 of file csr_concat.h.

## csr_concat_value() [3/7]

template<class T, class M>

csr_concat_value | ( | const vec< T, M > & | x | ) |

Definition at line 76 of file csr_concat.h.

## csr_concat_value() [4/7]

template<class T, class M>

csr_concat_value | ( | const vec_trans< T, M > & | vt | ) |

Definition at line 77 of file csr_concat.h.

## csr_concat_value() [5/7]

template<class T, class M>

csr_concat_value | ( | const std::vector< vec< T, M > > & | x | ) |

Definition at line 78 of file csr_concat.h.

## csr_concat_value() [6/7]

template<class T, class M>

csr_concat_value | ( | const vector_vec_trans< T, M > & | vt | ) |

Definition at line 79 of file csr_concat.h.

## csr_concat_value() [7/7]

template<class T, class M>

csr_concat_value | ( | const csr< T, M > & | x | ) |

Definition at line 80 of file csr_concat.h.

## Member Data Documentation

## undef

template<class T, class M>

size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 60 of file csr_concat.h.

## zero

template<class T, class M>

size_type zero = 0

static constexpr

Definition at line 61 of file csr_concat.h.

## e

template<class T, class M>

sizes_pair_type e

Definition at line 84 of file csr_concat.h.

## s

template<class T, class M>

T s

Definition at line 85 of file csr_concat.h.

## v

template<class T, class M>

vec<T,M> v

Definition at line 86 of file csr_concat.h.

## vv

template<class T, class M>

std::vector<vec<T,M> > vv

Definition at line 87 of file csr_concat.h.

## m

template<class T, class M>

csr<T,M> m

Definition at line 88 of file csr_concat.h.

## variant

template<class T, class M>

variant_type variant

Definition at line 89 of file csr_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/csr.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/csr_concat.h